export default {
  path: '/admin',
  children: [
    {
      path: 'index',
      children: [
        {
          path: '',
          name: 'admin_index',
          component: () => import('~/pages/admin/index.vue')
        },
        {
          path: 'detail/:id',
          name: 'admin_index_detail',
          component: () => import('~/pages/admin/index/detail.vue'),
          props: true
        },
      ]
    },
    {
      path: 'indey',
      children: [
        {
          path: '',
          name: 'admin_indey',
          component: () => import('~/pages/admin/indey.vue')
        },
        {
          path: 'detail/:id',
          name: 'admin_indey_detail',
          component: () => import('~/pages/admin/indey/detail.vue'),
          props: true
        },
      ]
    },
    // {
    //   path: 'back',
    //   children: [
    //     {
    //       path: 'ctfx',
    //       children: [
    //         {
    //           path: '',
    //           name: 'admin_back_ctfx',
    //           component: () => import('~/pages/admin/back/ctfx.vue')
    //         },
    //         {
    //           path: 'detail/:id',
    //           name: 'admin_back_ctfx_detail',
    //           component: () => import('~/pages/admin/back/ctfx/detail.vue'),
    //           props: true
    //         }
    //       ]
    //     },
    //   ]
    // }
  ]
}
