export default {
  path: '/student',
  children: [
    {
      path: 'index',
      children: [
        {
          path: '',
          name: 'student_index',
          component: () => import('~/pages/student/index.vue')
        },
        {
          path: 'detail/:id',
          name: 'student_index_detail',
          component: () => import('~/pages/student/index/detail.vue'),
          props: true
        },
      ]
    }
  ]
}
