export default {
  path: '/teacher',
  children: [
    {
      path: 'index',
      children: [
        {
          path: '',
          name: 'teacher_index',
          component: () => import('~/pages/teacher/index.vue')
        },
        {
          path: 'detail/:id',
          name: 'teacher_index_detail',
          component: () => import('~/pages/teacher/index/detail.vue'),
          props: true
        },
      ]
    },
    {
      path: 'indey',
      children: [
        {
          path: '',
          name: 'teacher_indey',
          component: () => import('~/pages/teacher/indey.vue')
        },
        {
          path: 'create',
          name: 'teacher_indey_create',
          component: () => import('~/pages/teacher/indey/create.vue')
        },
        {
          path: 'edit/:id',
          name: 'teacher_indey_edit',
          component: () => import('~/pages/teacher/indey/edit.vue'),
          props: true
        },
        {
          path: 'detail/:id',
          name: 'teacher_indey_detail',
          component: () => import('~/pages/teacher/indey/detail.vue'),
          props: true
        },
      ]
    },
  ]
}
